// nodes=1, ppn=2
#include <stdio.h>
#include <string.h>
#include "mpi.h"

int main( int argc, char *argv[])
{

  int rank, size, color;
  char message[64];
  MPI_Status status;

  MPI_Init (&argc, &argv);
  MPI_Comm_rank (MPI_COMM_WORLD, &rank);
  MPI_Comm_size (MPI_COMM_WORLD, &size);

  // Sender process
  if (rank == 0)/* code for process 0 */
  {
    strcpy (message,"Hello, there");
    MPI_Send (message, strlen(message)+1, MPI_CHAR, 1, 99, MPI_COMM_WORLD);
  }

  // Receiver process
  else if (rank == 1)  /* code for process 1 */
  {
    MPI_Recv (message, 20, MPI_CHAR, MPI_ANY_SOURCE, 99, MPI_COMM_WORLD, &status);
    printf ("received: %s\n", message);
  }

  MPI_Finalize();
  return 0;

}


